#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ee6430c, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xe8ffbc41, "init_net" },
	{ 0xeed7fd81, "up_write" },
	{ 0xd0bdb54a, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xea189bb2, "sk_skb_reason_drop" },
	{ 0x7169f731, "lc_element_by_index" },
	{ 0x2c56b764, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x3f816e9a, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a6f479a, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xcc1a6dee, "set_cpus_allowed_ptr" },
	{ 0x55d969d3, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xfb3dce48, "seq_putc" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x48b72644, "crypto_shash_digest" },
	{ 0x97601640, "iov_iter_kvec" },
	{ 0x454bfd3a, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0xd135a1e4, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd54eb73f, "sock_sendmsg" },
	{ 0xe14ff2f4, "bio_add_page" },
	{ 0xfb4afc34, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf6414786, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcf0aff85, "lc_create" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x747c2098, "__put_devmap_managed_folio_refs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x90bc3ba, "blk_set_stacking_limits" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3c585bf8, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x559faad1, "bio_alloc_clone" },
	{ 0x6d2b5f55, "lc_try_lock" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x5bef407d, "iov_iter_bvec" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x851681e7, "lc_destroy" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xfe40e12d, "__kmem_cache_create_args" },
	{ 0xc4d80ba9, "lc_reset" },
	{ 0x9642790, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcae2d620, "skb_trim" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x763f309b, "kthread_create_on_node" },
	{ 0xb60ec1e6, "lc_is_used" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3b985ea, "pv_ops" },
	{ 0x295b696b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6789321a, "lc_seq_dump_details" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x81519dbe, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x2699e3d8, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21a87573, "param_ops_bool" },
	{ 0xee4413ff, "bioset_init" },
	{ 0x411726bc, "seq_write" },
	{ 0xfa98c225, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b73ba3f, "remove_proc_entry" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x154c3652, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x8f0b297f, "sock_recvmsg" },
	{ 0x914a2155, "kobject_uevent" },
	{ 0xad5732ec, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd5bb554b, "bd_link_disk_holder" },
	{ 0x5dd3ad22, "alloc_pages_noprof" },
	{ 0x447a8b24, "queue_limits_commit_update" },
	{ 0x5a539e2e, "single_release" },
	{ 0x7dbd61bf, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa771900, "tcp_sock_set_nodelay" },
	{ 0x500bb3e2, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x171c0ff9, "genl_unregister_family" },
	{ 0x1cbc7da5, "__seq_puts" },
	{ 0xe73c51e5, "proc_create_single_data" },
	{ 0x5e2e7a03, "mempool_init_noprof" },
	{ 0x753a06ce, "lc_put" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x13749d25, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdc890d61, "lc_find" },
	{ 0xbdd43ad4, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xc079c6a, "crypto_alloc_shash" },
	{ 0xd3dcc214, "debugfs_create_dir" },
	{ 0x4f56791d, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0xc6f931a6, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0x7a364e63, "fs_bio_set" },
	{ 0x996bdf51, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x695a9b1b, "blkdev_issue_discard" },
	{ 0x267ef90, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x54a0b792, "lc_seq_printf_stats" },
	{ 0x80b36ef0, "set_disk_ro" },
	{ 0x789998ae, "__blk_alloc_disk" },
	{ 0x756a23cf, "bdev_alignment_offset" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x35f7622d, "bdev_file_open_by_path" },
	{ 0xc12bcd2, "try_module_get" },
	{ 0xd0a8451e, "tcp_sock_set_cork" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2aa3394e, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb7731441, "blk_start_plug" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x55da9353, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x29a34d81, "lc_get_cumulative" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfe9031b9, "bio_split_to_limits" },
	{ 0x2ed4247f, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x7b6e1b84, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x735eae9c, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0xf272e0c5, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0x120f833c, "seq_lseek" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3341784c, "kernel_accept" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e738e38, "sched_set_fifo_low" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x4f950d5d, "tcp_sock_set_quickack" },
	{ 0x756b21be, "netlink_broadcast_filtered" },
	{ 0xea7fe4d5, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8fb23536, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xe03359a5, "crypto_destroy_tfm" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8d7268ac, "lc_del" },
	{ 0xb4c5e9ed, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xc28784f, "put_disk" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0x1487e6, "lc_committed" },
	{ 0xfbb30ebd, "lc_get" },
	{ 0x570ab2d2, "__alloc_skb" },
	{ 0x33b84f74, "copy_page" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x29401fc2, "__free_pages" },
	{ 0xcf7c68af, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x668bfd79, "submit_bio" },
	{ 0x3eb6dbd2, "module_put" },
	{ 0xb44e52a, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb2d9bb64, "bdev_discard_alignment" },
	{ 0x660b120c, "lc_try_get" },
	{ 0xe2ebcda, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1a682a72, "flush_signals" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0xd6277953, "bio_put" },
	{ 0xc5e1bf67, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "lru_cache,libcrc32c");


MODULE_INFO(srcversion, "900745622289D38C0BAB129");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
