#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x9330054e, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0xec7cdec8, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0xeed7aa1a, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x2a2f6ce8, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x8c790761, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0xe7951d8a, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0x280d47c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34873d82, "genphy_read_status" },
	{ 0xde7ab5b4, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0x7a117503, "device_property_present" },
	{ 0x731ab4ba, "devm_clk_get_optional_enabled_with_rate" },
	{ 0xfebe223f, "dev_err_probe" },
	{ 0x48a59767, "phy_drivers_register" },
	{ 0xd4c2171e, "phy_read_mmd" },
	{ 0xd800adad, "__genphy_config_aneg" },
	{ 0x8dc0ed12, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xb56939d8, "genphy_soft_reset" },
	{ 0xe39018e8, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x5bd845f, "phy_write_mmd" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c528d6b, "_dev_info" },
	{ 0x4e696b7a, "genphy_suspend" },
	{ 0xa70f3663, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6a50904, "mdiobus_read" },
	{ 0x4e9a753d, "phy_trigger_machine" },
	{ 0x5d15a9ea, "phy_error" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "594B0BF04C1782A6F49D9AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
